<!DOCTYPE html>
<html>
<body>

<h2>Surprise!</h2>

<h1 id="demo"></h1>

<script>

    async function sleep(ms) {
        // return new Promise(resolve => setTimeout(resolve, ms));
        return new Promise(function(myResolve, myReject){setTimeout(myResolve, ms)})
    }
    
    async function display(value) {
        document.getElementById("demo").innerHTML = value;
    }

    // Schaffst du es, die Funktion so umzuformen, sodass display an
    // promise.then() übergeben wird, anstatt display() direkt
    // aufzurufen?
    async function workerFunction() { 
        promise = await sleep(3000);
        display("Hello from worker!");
    }

    
    async function view() {

        workerFunction();
        
        display("waiting..."); 
        
    }

    view();

</script>

</body>
</html>